org.apache.fop.render.pcl.fonts.truetype

## Class PCLTTFCharacterWriter

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLCharacterWriter
  - - org.apache.fop.render.pcl.fonts.truetype.PCLTTFCharacterWriter

    public class PCLTTFCharacterWriter
    extends PCLCharacterWriter

### Field Summary

### Fields inherited from class org.apache.fop.render.pcl.fonts.PCLCharacterWriter

`font, fontReader, openFont`

### Constructor Summary

Constructors
Constructor and Description
`PCLTTFCharacterWriter(PCLSoftFont softFont)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `writeCharacterDefinitions(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PCLTTFCharacterWriter

    public PCLTTFCharacterWriter(PCLSoftFont softFont)
                          throws IOException

Throws:
  `IOException`

### Method Detail

#### writeCharacterDefinitions

    public byte[] writeCharacterDefinitions(String text)
                                     throws IOException

Specified by:
  `writeCharacterDefinitions` in class `PCLCharacterWriter`
Throws:
  `IOException`